# WOK
TKWOK
WOKBuilder

# WOKBuilder_CodeGenerator Class Reference

`#include <WOKBuilder_CodeGenerator.hxx>`

Inheritance diagram for WOKBuilder_CodeGenerator:

[legend]

## Public Member Functions

Standard_EXPORT | WOKBuilder_CodeGenerator (const Handle(TCollection_HAsciiString)&aname, const WOKUtils_Param &params)
Standard_EXPORT void | SetCodeGenFile (const Handle(WOKBuilder_CodeGenFile)&afile)
Standard_EXPORT Handle_WOKBuilder_CodeGenFile | CodeGenFile () const
Standard_EXPORT WOKBuilder_BuildStatus | Execute ()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_WOKBuilder_CodeGenFile | myfile

## Constructor & Destructor Documentation

Standard_EXPORT WOKBuilder_CodeGenerator::WOKBuilder_CodeGenerator | ( | const Handle(TCollection_HAsciiString)& | aname,
|  | const WOKUtils_Param & | params
| ) |

## Member Function Documentation

Standard_EXPORT Handle_WOKBuilder_CodeGenFile WOKBuilder_CodeGenerator::CodeGenFile | ( |  | ) | const

Standard_EXPORT WOKBuilder_BuildStatus WOKBuilder_CodeGenerator::Execute | ( |  | ) | `[virtual]`

| Implements WOKBuilder_Tool.

Standard_EXPORT const WOKBuilder_CodeGenerator::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from WOKBuilder_ToolInShell.

Standard_EXPORT void WOKBuilder_CodeGenerator::SetCodeGenFile | ( | const Handle(WOKBuilder_CodeGenFile)& | afile | ) |

## Field Documentation

Handle_WOKBuilder_CodeGenFile WOKBuilder_CodeGenerator::myfile `[private]`

| Reimplemented from WOKBuilder_ToolInShell.

The documentation for this class was generated from the following file:

- WOKBuilder_CodeGenerator.hxx